com.beaglebuddy.id3.pojo.v24

## Enum RelativeVolume.PeakVolumeSize

- java.lang.Object
- - java.lang.Enum<RelativeVolume.PeakVolumeSize>
  - - com.beaglebuddy.id3.pojo.v24.RelativeVolume.PeakVolumeSize

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RelativeVolume.PeakVolumeSize>
  Enclosing class:
    RelativeVolume

      public static enum RelativeVolume.PeakVolumeSize
      extends java.lang.Enum<RelativeVolume.PeakVolumeSize>

  Peak Volume sizes supported by the Beaglebuddy MP3 library. While the ID3v2.4 spec allows this to be any number between 0 and 255, the Beaglebuddy MP3 library only supports 0 and 32 bit peak volumes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SIZE_32_BITS` 32 bit peak volume
    `SIZE_NONE` no peak volume

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RelativeVolume.PeakVolumeSize` | `getPeakVolumeSize(int size)` convert an integral value to its corresponding enum.
    `java.lang.String` | `toString()`
    `static RelativeVolume.PeakVolumeSize` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RelativeVolume.PeakVolumeSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIZE_NONE

          public static final RelativeVolume.PeakVolumeSize SIZE_NONE

      no peak volume

    - #### SIZE_32_BITS

          public static final RelativeVolume.PeakVolumeSize SIZE_32_BITS

      32 bit peak volume

  - ### Method Detail

    - #### values

          public static RelativeVolume.PeakVolumeSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelativeVolume.PeakVolumeSize c : RelativeVolume.PeakVolumeSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelativeVolume.PeakVolumeSize valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<RelativeVolume.PeakVolumeSize>`
      Returns:
        a string representation of the peak volume size

    - #### getPeakVolumeSize

          public static RelativeVolume.PeakVolumeSize getPeakVolumeSize(int size)

      convert an integral value to its corresponding enum.
      Parameters:
        `size` - the integral value that is to be converted to a PeakVolumeSize enum.
      Returns:
        the PeakVolumeSize enum whose ordinal value corresponds to the given integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if there is no PeakVolumeSize enum whose ordinal value corresponds to the given integral value.